Task # 3074 (Closed): Phase one implementaion for morpho to connect dataone services

Implment the update and delete methods
Status: Rejected Start date: 2012-07-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

The methods will look like:

public String update(String pid, InputStream object, String newPid, String sysMetadata);

public String delete(String pid);

They will handle both data and metadata objects.

Three checks have to pass: user has the Write permission on the object, user has execute permission on the service, and the

authoritative member node is available for the object.

We will depend the first two checks on the update method of the dataone lib. It will throw an

org.dataone.service.exceptions.NotAuthorized exception if it can't pass the check.

We have a new mechanism for the third check.

The attached is the update sequence diagram. 

History

#1 - 2012-07-23 23:08 - Jing Tao

- File morpho-update-dataone-sequence.png added

#2 - 2012-07-30 22:26 - Jing Tao

- Status changed from New to Rejected

Duplicate the task 3103

#3 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#5 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#6 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1
